name: JsDocs
on:
  pull_request:
    branches:
      - '*'
jobs:
  coverage:
    runs-on: ubuntu-latest
    steps:
    - name: Checkout # rapatrie le depot
      uses: actions/checkout@v3
    

    - name: Docker meta
      id: meta
      uses: docker/metadata-action@v5
      with:
        images: |
          git.lab-ouest.org/Epitech/ratrapage_T-WEB_drink_jsdocs
        tags: |
          type=edge
          type=ref,event=pr
          type=ref,event=branch
          type=semver,pattern={{version}}
          type=semver,pattern={{major}}.{{minor}}
          type=semver,pattern={{major}}
          type=semver,pattern=latest

    - name: Login to Gitea
      uses: docker/login-action@v3
      with:
        registry: git.lab-ouest.org
        username: ${{ secrets.DOCKER_USERNAME }}
        password: ${{ secrets.DOCKER_TOKEN }}

    # - name: Set up Docker Buildx
    #   uses: docker/setup-buildx-action@v3

    - name: Build and push docs
      uses: docker/build-push-action@v5
      with:
        context: ./Express/barAndCafe
        push: true
        file: ./Express/barAndCafe/Dockerfile_docs
        tags: ${{ steps.meta.outputs.tags }}
        labels: ${{ steps.meta.outputs.labels }}